<?php

namespace Tests\Jiesuan\Http\Controllers;

use Modules\Jiesuan\Http\Controllers\JiesuanController;
use PHPUnit\Framework\TestCase;
use Tests\UsedTestCase;

class JiesuanControllerTest extends UsedTestCase
{

    public function testList()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/jiesuanManage/jiesuan/list');
        $this->dumpJson($res);
    }
    public function testaccountInfo()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/jiesuanManage/jiesuan/accountInfo');
//        $res->dump();
        $this->dumpJson($res);
    }
 public function testtixian()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('post','http://localhost/api/jiesuanManage/jiesuan/tixian', [
            'bank_card_id' => 1,
            'tixian_money' => 9358,
        ]);
        $res->dump();
    }
    public function testlistTixian()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/jiesuanManage/jiesuan/listTixian', [
//            'status' => 5
        ]);
        $res->dump();
//        $this->dumpJson($res);
    }
}
